> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt
> Use this file to discover all available pages before exploring further.

# İptal/İade Arama

> İade işlemlerini filtreleyerek sayfalı şekilde listeler

## 📋 İade İşlemleri Listesi

İade işlemlerini filtreleyerek sayfalı şekilde listeler.

**`POST`** `https://api-test.fincraft.com.tr/api/v1/general/operations/refunds/list`

## Request Body

```json theme={null}
{
  "startDate": "2025-09-01",
  "endDate": "2025-10-30",
  "status": "SUCCESS"
}
```

## Request Parametreleri

| Parametre   | Tip       | Zorunlu | Açıklama                      |
| ----------- | --------- | ------- | ----------------------------- |
| `startDate` | LocalDate | Hayır   | Başlangıç tarihi (YYYY-MM-DD) |
| `endDate`   | LocalDate | Hayır   | Bitiş tarihi (YYYY-MM-DD)     |
| `status`    | String    | Hayır   | İşlem durumu                  |

## Response Body

```json theme={null}
{
  "response": {
    "content": [
      {
        "transactionId": "9528cb46-5bea-4acc-be08-545b072c6af9",
        "referenceId": "462ef792-7c20-4f20-bca6-92c1491bab9b",
        "amount": 1.00,
        "currency": "TRY",
        "paymentMethod": "REFUND",
        "status": "SUCCESS",
        "transactionDate": "2025-09-19T09:17:07.669+00:00"
      }
    ],
    "totalElements": 1
  }
}
```

## cURL Örneği

```bash theme={null}
curl -X POST https://api-test.fincraft.com.tr/api/v1/general/operations/refunds/list \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"startDate": "2025-09-01", "endDate": "2025-10-30", "status": "SUCCESS"}'
```
